<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="0af0504b-9c42-4740-bcb5-a21fef212c93" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectId" id="222Da4gntt11GOSRPqP0Ne05E4o" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../newUndertow.org" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.sourceCode.Java" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="io.undertow.client.http" />
      <recent name="io.undertow.server.protocol.http2" />
      <recent name="io.undertow.examples.helloworldWithHttp2Continue" />
      <recent name="io.undertow.servlet.test.redirect" />
      <recent name="io.undertow.servlet.test.defaultservlet" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.SpnegoAuthenticationTestCase">
    <configuration name="HelloWorldServerWithHttp2Continue" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.examples.helloworldWithHttp2Continue.HelloWorldServerWithHttp2Continue" />
      <module name="undertow-examples" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.examples.helloworldWithHttp2Continue.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JDBCLogDatabaseTestCase.testSingleLogMessageToDatabase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.handlers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.handlers" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.JDBCLogDatabaseTestCase" />
      <option name="METHOD_NAME" value="testSingleLogMessageToDatabase" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SpnegoAuthenticationTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.security.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.security" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.security.SpnegoAuthenticationTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="URLDecodingHandlerTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.handlers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.handlers" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.URLDecodingHandlerTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="URLDecodingHandlerTestCase.testMultipleURLDecodingHandlers" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.handlers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.handlers" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.URLDecodingHandlerTestCase" />
      <option name="METHOD_NAME" value="testMultipleURLDecodingHandlers" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="5005" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="5005" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="8787" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8787" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8787" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.HelloWorldServerWithHttp2Continue" />
      <item itemvalue="JUnit.SpnegoAuthenticationTestCase" />
      <item itemvalue="JUnit.URLDecodingHandlerTestCase" />
      <item itemvalue="JUnit.URLDecodingHandlerTestCase.testMultipleURLDecodingHandlers" />
      <item itemvalue="JUnit.JDBCLogDatabaseTestCase.testSingleLogMessageToDatabase" />
      <item itemvalue="Remote JVM Debug.8787" />
      <item itemvalue="Remote JVM Debug.5005" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.SpnegoAuthenticationTestCase" />
        <item itemvalue="JUnit.JDBCLogDatabaseTestCase.testSingleLogMessageToDatabase" />
        <item itemvalue="JUnit.URLDecodingHandlerTestCase.testMultipleURLDecodingHandlers" />
        <item itemvalue="JUnit.URLDecodingHandlerTestCase" />
        <item itemvalue="Application.HelloWorldServerWithHttp2Continue" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="0af0504b-9c42-4740-bcb5-a21fef212c93" name="Default Changelist" comment="" />
      <created>1639026853744</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1639026853744</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ID_ORDER">
      <list>
        <option value="Default.Root" />
        <option value="Default.Author" />
        <option value="Default.Date" />
        <option value="Default.Subject" />
        <option value="Space.CommitStatus" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="7ab41548-15d5-496c-9a01-199001ed66f1">
          <value>
            <State>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:/home/fla/Development/projects/undertow/jakarta" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="OPEN_GENERIC_TABS">
      <map>
        <entry key="7ab41548-15d5-496c-9a01-199001ed66f1" value="TOOL_WINDOW" />
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletResponseImpl.java</url>
          <line>395</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletResponseImpl.java</url>
          <line>161</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/AbstractFixedLengthStreamSinkConduit.java</url>
          <line>208</line>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletOutputStreamImpl.java</url>
          <line>602</line>
          <option name="timeStamp" value="19" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/writer/ResponseWriterServlet.java</url>
          <line>53</line>
          <option name="timeStamp" value="21" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataStreamSinkChannel.java</url>
          <line>129</line>
          <option name="timeStamp" value="25" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.7.Final/xnio-api-3.8.7.Final-sources.jar!/org/xnio/channels/SslChannel.java</url>
          <option name="timeStamp" value="30" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataStreamSinkChannel.java</url>
          <line>54</line>
          <option name="timeStamp" value="35" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1681</line>
          <option name="timeStamp" value="36" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1693</line>
          <option name="timeStamp" value="37" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1805</line>
          <option name="timeStamp" value="41" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1808</line>
          <option name="timeStamp" value="42" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1833</line>
          <option name="timeStamp" value="43" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1844</line>
          <option name="timeStamp" value="44" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataStreamSinkChannel.java</url>
          <line>123</line>
          <option name="timeStamp" value="47" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/UndertowOptions.java</url>
          <option name="timeStamp" value="48" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http2/Http2ClientConnection.java</url>
          <line>216</line>
          <option name="timeStamp" value="49" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http2/Http2ClientConnection.java</url>
          <line>142</line>
          <option name="timeStamp" value="50" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataStreamSinkChannel.java</url>
          <line>265</line>
          <option name="timeStamp" value="51" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http2/Http2ClientConnection.java</url>
          <line>302</line>
          <option name="timeStamp" value="52" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>371</line>
          <option name="timeStamp" value="53" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jrt:///usr/lib/jvm/java-11!/java.base/sun/security/util/SignatureFileVerifier.class</url>
          <line>315</line>
          <option name="timeStamp" value="55" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/undertow_parent$JDBCLogDatabaseTestCase_testSingleLogMessageToDatabase.ic" NAME="JDBCLogDatabaseTestCase.testSingleLogMessageToDatabase Coverage Results" MODIFIED="1665555295621" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>io.undertow.server.handlers.*</FILTER>
    </SUITE>
  </component>
</project>